import * as Win from 'win32-api';
import { U, types as GT } from 'win32-api';
import * as Config from './lib/types';
export { Win };
export { ExecRet } from './lib/types';
export { validate_cmdshow } from './lib/user32';
export default function showWindow(hwnd: Config.Hwnd, nCmdShow: U.constants.CmdShow): Promise<Config.ErrCode>;
export declare function hide(p: Config.matchParam, onlyTopWin?: boolean): Promise<Config.ExecRet>;
export declare function show(p: Config.matchParam, nCmdShow: U.constants.CmdShow, onlyTopWin?: boolean): Promise<Config.ExecRet>;
/**
 * retrieve hWnds by matchValue matched by pid|title
 * all: true means all matched window include child,
 * all: false means only top or owner window
 */
export declare function get_hwnds(p: Config.matchParam, onlyTopWin?: boolean): Promise<GT.HWND[] | void>;
export declare function kill(p: Config.matchParam): Promise<Config.ExecRet>;
export declare function retrieve_pointer_by_hwnd(hwnd: Config.Hwnd): Promise<void | GT.HWND>;
